%define rname mpg123

%define flavor emacs xemacs

Summary:	A front-end program to mpg123 under Emacs/XEmacs
Name:		emacs-%{rname}
Version:	1.50
Release:	%mkrel 2
Source0:	http://www.gentei.org/~yuuji/software/mpg123el/%{rname}.el
Source1:	%{name}-autostart.el
License:	Freeware
Group:		Editors
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	%{flavor}
BuildRequires:	perl
BuildRequires:	emacs-bin
Requires:	%{rname}
BuildArch:	noarch
URL:		http://www.gentei.org/~yuuji/software/mpg123el/

%description
A front-end program to mpg123 under Emacs/XEmacs.

%prep
iconv -f EUC-JP -t UTF-8 %{SOURCE0} > %{rname}.el
sed -i -e 's,euc-jp,utf-8,g' %{rname}.el
#install -m 644 %{SOURCE0} %{rname}.el

%build
for i in %{flavor};do
$i -batch -q -no-site-file -f batch-byte-compile %{rname}.el 
mv %{rname}.elc $i-%{rname}.elc
done

#Maybe need adjust
perl -n -e 'last if /^\(/;last if /^;;; Code/; print' < %{SOURCE0} > DOCUMENTATION

%install
rm -rf %{buildroot}

for i in %{flavor};do
install -D -m644 $i-%{rname}.elc %{buildroot}%{_datadir}/$i/site-lisp/$i-%{rname}.elc
[[ $i = emacs ]] && install -D -m644 %{rname}.el %{buildroot}%{_datadir}/emacs/site-lisp/%{rname}.el
done

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{name}.el
%{expand:%(%__cat %{SOURCE1})}
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc DOCUMENTATION
%config(noreplace) /etc/emacs/site-start.d/%{name}.el
%{_datadir}/*/site-lisp/*el*



%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.50-2mdv2009.0
+ Revision: 241605
- rebuild

* Fri Feb 15 2008 Adam Williamson <awilliamson@mandriva.com> 1.50-1mdv2008.1
+ Revision: 169067
- rebuild for new era
- correct license (Freeware, not GPL)
- convert script to UTF-8 prior to installing it
- spec clean
- new release 1.50

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - fix summary-ended-with-dot
    - import emacs-mpg123


* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.24-7mdk
- rebuild for new emacs

* Fri Feb 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.24-6mdk
- rebuild

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.24-5mdk
- rebuild

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.24-4mdk
- rebuild for latest emacs

* Fri Jun 21 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.24-3mdk
- add URL
- buildrequires emacs-bin instead of emacs-X11

* Thu Jun 20 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.24-2mdk
- fix %%build
- bzip %%{SOURCE0}
- BuildArch noarch
- BuildRequires emacs-X11 (/usr/bin/emacs)

* Tue May 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.24-1mdk
- First version.


# end of file
